package dados;

import dados.filial.Endereco;
import dados.locacao.Locacao;

public class Entrega {
	
	private Locacao locacao;
	private Endereco endereco;
	
	public Entrega(Locacao l, Endereco e){
		this.locacao = l;
		this.endereco = e;
	}

	public Locacao getLocacao() {
		return locacao;
	}

	public void setLocacao(Locacao locacao) {
		this.locacao = locacao;
	}

	public Endereco getEndereco() {
		return endereco;
	}

	public void setEndereco(Endereco endereco) {
		this.endereco = endereco;
	}
	
	@Override
	public String toString() {
		return String.format("Cdigo da cpia: %d     Endereo de entrega:%s", this.locacao.getCopia().getCodigoCopia(), this.endereco.toString());
	}

}
