package gui;


import java.awt.Color;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;

public abstract class PainelOpaco extends PainelFigura{

	private static final long serialVersionUID = 1L;

	public PainelOpaco(String titulo, JanelaFilial janela) {
		super("", janela);
		this.setOpaque(false);
		Border b = BorderFactory.createTitledBorder(titulo);
		((TitledBorder) b).setTitleJustification(TitledBorder.CENTER);
		((TitledBorder) b).setTitleFont(new Font("Arial", Font.BOLD, 14));
		((TitledBorder) b).setTitleColor(Color.WHITE);
		this.setBorder(b);
	}

}
